UIPAQ(4)

NAME
uipaq - USB support for iPAQ units

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device uipaq

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    uipaq_load="YES"

HARDWARE
The uipaq driver supports the following adapters:

ASUS P535 PDA
Casio BE300 PDA
Compaq IPaq PocketPC
HP Jornada 568
HP iPAQ 22xx/Jornada 548
HTC PPC6700 Modem
HTC Smart Phone
HTC Winmobile
Sharp W-ZERO3 ES Spart Phone
Most Windows CE based phones

DESCRIPTION
The uipaq driver provides support for the USB serial emulation provided by the iPAQ devices.

The device is accessed through the ucom(4) driver which makes it behave like a tty(4).

SEE ALSO
tty(4), ucom(4), uhub(4), usb(4)

HISTORY
The FreeBSD support was imported from NetBSD for FreeBSD 7.0. NetBSD added support in NetBSD 4.0 and it was imported from OpenBSD 3.8.